What is Image Navigator?

Image Navigator is a useful free utility that allows you to efficiently browse and organize images on your

computer and manage Web Photo Albums .

Image Navigator is integrated with Web Image Guru ( http://www.vimas.com/ve_guru.htm ) - state of the art tool for Web graphics optimization. It allows running of Web Image Guru as a standalone application for optimizing the selected images .

Image Navigator is closely integrated with HTML Organizer ( http://www.vimas.com/ve_selector.htm ) - just great utility that will help to organize and analyze your Web Pages.

With Image Navigator you can:

- Browse the folders with preview thumbnails of the images;

- Display full image information;

- View the images full screen;

- Support drag&drop for image copying;

- Rename, delete, cut and paste images;

- Open HTML files with images to view the list of images that are linked to this file;

- View and edit Web Photo Albums created by Web Image Guru ;

- Preview multiple images in many formats: JPEG, GIF, PNG, TIFF and others;

- Make slideshow of the selected images;

- Use different options for image preview.

Image Navigator is designed as multithread application. You should not wait until all images read and can work with required image immediately when it appears.

Image Navigator uses original algorithms to quickly create thumbnails even of big images. It does not create any extra thumbnail or index files on your disks.

See also:

Integration with Web Image Guru

Integration with HTML Organizer


About

Image Navigator, version 3.1.

Release Date - 21.07.2000,

Copyright VIMAS Technologies, 1999-2000

VIMAS Technologies is an international software development company that provides software tools for image and audio processing and compression, Internet software, databases and education software. VIMAS Technologies also provides custom developments in C++, Delphi, Oracle.

VIMAS Technologies markets end user applications for Windows 95/98 and Windows NT including:

Web Image Guru ( http://www.vimas.com/ve_guru.htm ) - state of the art Web image optimization tool. The purpose of Web Image Guru is not only effective optimization of images, but also seamless integration of images into your Web pages. It works as Adobe Photoshop style Plug-in and as standalone application.

Web Imaging ( http://www.vimas.com/ve_vwi.htm ) - powerful image processing tool for Web designers. It allows quick processing and efficient compression of multiple images for further applications in Home Pages, printed catalogs, databases or files. This package includes triple batch processing technology, smart thumbnail generation, compound images , automatic home page generation, instant preview of image processing and much more.

Image Master ( http://www.vimas.com/ve_vim.htm ) - versatile image processing software, that includes processing of multiple image formats, powerful JPEG compression, large number of image processing operations, creation of catalogs.

Web JPEG Plug-in ( http://www.vimas.com/ve_plugin.htm ) - Adobe Photoshop 3.05 compatible plug-in for interactive JPEG compression and fast thumbnails generation.

Speech Master ( http://www.vimas.com/ve_spm.htm ) - the tool for speech and music compression for educational purposes.

Singing Tutor ( http://www.vimas.com/ve_str.htm ) - the tool to study singing and tuning the musical instruments.

HTML Organizer ( http://www.vimas.com/ve_selector.htm ) - useful utility for organizing HTML files and selecting contents of large HTML files (such as images, sound, Java applets) on your computer.

VIMAS Technologies,

Internet: http://www.vimas.com


How to use Image Navigator?

Image Navigator allows you to easily browse folders with images and instantly preview multiple images.

You can use Image Navigator for viewing images in the current folder, HTML file or Web Photo Album .

For viewing images in the folder select Image Files as your data source.

- Select the folder with images from the folders tree and the thumbnails of the images will be showed in the right window. You can define the file formats for preview from the list of the available file formats.

- Double click on the image or press button for the full screen preview of the image. Use Navigator window to zoom, rotate and scroll image. Click on image to close preview window.

- Use Del key or File-Delete menu item for deleting of the selected image.

- Use F2 key or File-Rename menu item for renaming of the selected image. You can also click on image file name to start renaming it. Use ESC key for canceling of the editing.

- To select multiply images use Ctrl and mouse click, Shift and mouse click or Select All and Clear selection menu items.

- Double click on the selected images for the full screen preview of the selected images. Use Navigator window to zoom, rotate and scroll image. Click on image to view next image. Use left and right arrow to view previous and next image. Use ESC to close preview window.

- Use File - Slide Show menu item to organize slideshow of the selected images or all images in the current folder. You can define the delay duration between 1 to 60 seconds. During slide show you can switch to the preview mode by pressing any of the navigation buttons (left, right arrow, Page Up, Page Down, Home or End).Use ESC to stop slide show.

- Use Drag and Drop to copy image or selected images.

- Use Options dialog to tune the layout of Image Navigator and amount of the information displayed for every image.

- Image Navigator is multithread application. You should not wait until all images read and can work with required image immediately when it appears.

For viewing images that are linked to HTML file select HTML Files as your data source.

- Select the folder with HTML files from the folders tree. The list of the HTML files will be displayed in the separate window. Select HTML file and the thumbnails of the images will be showed in the right window.

You can use most of the commands described above for working with HTML file images.

For viewing images in Web Photo Album select Web Photo Albums as your data source.

- Select the folder with Web Photo Album files from the folders tree. The list of the Web Photo Albums will be displayed in the separate window. Select Web Photo Album file and the thumbnails of the images will be showed in the right window.

You can use most of the commands described above for working with Web Photo Album images. You can also use Album menu for editing of the Web Photo Albums .

Image Navigator is closely integrated with Web Image Guru and HTML Organizer applications. When these applications are installed on your computer Image Navigator will unlock its extra functionality.


Integration with Web Image Guru

Image Navigator is closely integrated with Web Image Guru ( http://www.vimas.com/ve_guru.htm ) - state of the art tool for Web graphics optimization.

When Web Image Guru is installed correspond menu items of Image Navigator will be automatically functional.

There are several ways to launch Web Image Guru from Image Navigator:

Image Optimization

Select the image or several images (use Ctrl and mouse click to select several images) and then use Image - Web Export menu item to run Web Image Guru. If several images where selected then they will be optimized in batch mode.

Running Batch Processing

Use File - Batch processing menu item to run Web Image Guru batch processing module.

It is also possible to optimize selected images and place them directly into one of the available Web Image Guru destinations. Use File - Process Images and menu item and select one of the available destinations:

Add to Web Photo Album for adding selected images to a new or existed Web Photo Album .

Save to Files for batch saving of the optimized images to files.

HTML Image Optimization

By HTML Image we mean the image that is included in the Web Page and there is an HTML file with the link to this image.

Select HTML files in the file type list box of Image Navigator. It will show all HTML files of the current directory in the special docking window. Click on the HTML file and thumbnails of all images linked to the HTML file will be displayed. Select required image and use Image - HTML Image Optimizing menu item. Web Image Guru will be run with the current HTML file settings that allows make seamless integration of the optimized image into the Web Page.

You can define the Web file formats that can be invoked in the HTML image optimization process in the options dialog. This allows you to run batch HTML image optimization for only GIF images (for example).

For all modes you can alternatively use context menu that appears with right mouse click on the image or toolbar buttons.

Web Photo Albums viewing and Editing

Image Navigator allows to view and edit Web Photo Albums created by Web Image Guru. You can delete images, add new images or edit image or album properties.

Adding of the new images to the album is possible only when Web Image Guru is installed.


Integration with HTML Organizer

Image Navigator is closely integrated with HTML Organizer ( http://www.vimas.com/ve_selector.htm ) - just great utility that will help to organize and analyze your Web Pages.

Due to this integration you can quickly receive the information about HTML files where current image is used.

If HTML Organizer is installed on your computer then you can use Image-Links on me.. menu item to display the list of HTML files with the links to current image.


Options

Options dialog allows you to setup Image Navigator parameters:

Thumbnail width - the width of the thumbnail for image preview.

Thumbnail height - the height of the thumbnail for image preview.

Show image file name - display image file name under thumbnail.

Slide Show Parameters

Delay - delay between displaying of the images in slide show.


Send product suggestions

Dear customers, please send your product suggestions, comments and bug reports to vimas@info.kiev.ua .


HTML Image Optimizing

HTML Image Optimizing - select the list of the Web Image Formats that will be used for HTML image optimizing. If you select only GIF format, then only GIF images will be invoked in batch HTML Image optimizing.


Html Image Preview

Use the largest image linked to HTML file for HTML file icon.


Show image file name

Display image file name under thumbnail.


Thumbnail Size

Thumbnail width - the width of the thumbnail for image preview.

Thumbnail height - the height of the thumbnail for image preview.


Upgrade

Image Navigator is closely integrated with two other products: Web Image Guru -state of the art tool for Web graphics optimization ( http://www.vimas.com/ve_guru.htm ) and HTML Organizer - just great utility that will help to organize and analyze your Web Pages ( http://www.vimas.com/ve_selector.htm ).

If you install these products then correspond menus of Image Navigator will be unlocked and you can significantly expand the functionality of Image Navigator.

Integration with Web Image Guru

Integration with HTML Organizer


Web Photo Albums

Web Photo Album is a collection of images linked with HTML file. Web Photo Album that can be viewed with usual Web browser. Web Image Guru can produce Web Photo Albums as result of image processing . You can use Web Photo Album for organizing the images on your local hard disk, for publishing albums to a Web site or for sharing photo albums with your friends.

Image Navigator allows easy viewing and managing of the Web Photo Albums.

Web Photo Albums viewing

For viewing albums select Web Photo Albums as your data source. The list of the albums in the current directory will be displayed in the docking window. Click on the album file and thumbnails of the album images will be displayed. Double click on thumbnail to view actual image if any.

You can also run slideshow of the album images with File-SlideShow menu item.

Add new image to Web Photo Album

To add new image to photo album select required album. Use Album - Add image menu item or just drag image to thumbnails window. Web Image Guru will be run for optimizing of the image and applying shape effects, etc...

Important ! You need to have Web Image Guru installed for creating new Web Photo Albums and adding images to them.

Edit Web Photo Album properties

Select required album. Use menu item Album-Album Properties to run Album Properties dialog.

Edit image properties

Select required album. Select image. Use menu item Album-Image Properties to run Image Properties dialog.

Delete image from Web Photo Album

Select required album. Select required image. Use menu item Album-Delete image to delete image. You will be asked to confirm deleting of the image. You can delete image not only from the album but from the hard disk as well by selecting Delete image files from the disk check box. Please, note that both thumbnail and actual images will be deleted.

Delete Web Photo Album

Select required album. Use Album-Delete Album menu item for deleting all album files and album images from the disk.